Index: src/mlx/gui/checklist.py
===================================================================
--- src/mlx/gui/checklist.py	(revision 999)
+++ src/mlx/gui/checklist.py	(revision 300)
@@ -1,4 +1,4 @@
 
-from .common import *
+from common import *
 
 from mlx.i18n import xstr
@@ -22,5 +22,5 @@
 #------------------------------------------------------------------------------
 
-class ChecklistEditor(Gtk.Dialog):
+class ChecklistEditor(gtk.Dialog):
     """The dialog to edit the checklists."""
     def __init__(self, gui):
@@ -28,8 +28,8 @@
                                               xstr("chklst_title"),
                                               gui.mainWindow,
-                                              Gtk.DialogFlags.MODAL)
-
-        self.add_button(xstr("button_cancel"), Gtk.ResponseType.REJECT)
-        self.add_button(xstr("button_ok"), Gtk.ResponseType.ACCEPT)
+                                              DIALOG_MODAL)
+
+        self.add_button(xstr("button_cancel"), RESPONSETYPE_REJECT)
+        self.add_button(xstr("button_ok"), RESPONSETYPE_ACCEPT)
 
         self._gui = gui
@@ -39,18 +39,18 @@
         contentArea = self.get_content_area()
 
-        typeBox = Gtk.HBox()
-
-        label = Gtk.Label(xstr("chklst_aircraftType"))
+        typeBox = gtk.HBox()
+
+        label = gtk.Label(xstr("chklst_aircraftType"))
         label.set_use_underline(True)
 
         typeBox.pack_start(label, False, False, 4)
 
-        self._aircraftTypeModel = Gtk.ListStore(str, int)
+        self._aircraftTypeModel = gtk.ListStore(str, int)
         for type in const.aircraftTypes:
             name = aircraftNames[type] if type in aircraftNames \
                    else "Aircraft type #%d" % (type,)
             self._aircraftTypeModel.append([name, type])
-        self._aircraftType = Gtk.ComboBox(model = self._aircraftTypeModel)
-        renderer = Gtk.CellRendererText()
+        self._aircraftType = gtk.ComboBox(model = self._aircraftTypeModel)
+        renderer = gtk.CellRendererText()
         self._aircraftType.pack_start(renderer, True)
         self._aircraftType.add_attribute(renderer, "text", 0)
@@ -62,5 +62,5 @@
         typeBox.pack_start(self._aircraftType, True, True, 4)
 
-        typeBoxAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        typeBoxAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         typeBoxAlignment.set_size_request(400, -1)
@@ -69,10 +69,10 @@
         contentArea.pack_start(typeBoxAlignment, False, False, 12)
 
-        fileBox = Gtk.HBox()        
-
-        self._fileChooser = Gtk.FileChooserWidget()
+        fileBox = gtk.HBox()        
+
+        self._fileChooser = gtk.FileChooserWidget()
         self._fileChooser.set_select_multiple(True)
         
-        filter = Gtk.FileFilter()
+        filter = gtk.FileFilter()
         filter.set_name(xstr("file_filter_audio"))
         filter.add_pattern("*.wav")
@@ -80,5 +80,5 @@
         self._fileChooser.add_filter(filter)
             
-        filter = Gtk.FileFilter()
+        filter = gtk.FileFilter()
         filter.set_name(xstr("file_filter_all"))
         filter.add_pattern("*.*")
@@ -90,6 +90,6 @@
         fileBox.pack_start(self._fileChooser, True, True, 4)
 
-        controlBox = Gtk.VBox()
-        controlAlignment = Gtk.Alignment(xalign = 0.0, yalign = 0.0,
+        controlBox = gtk.VBox()
+        controlAlignment = gtk.Alignment(xalign = 0.0, yalign = 0.0,
                                          xscale = 0.0, yscale = 0.0)
         controlAlignment.set_padding(padding_top = 0, padding_bottom = 0,
@@ -98,9 +98,9 @@
         fileBox.pack_start(controlAlignment, False, False, 0)
 
-        self._addButton = Gtk.Button(xstr("chklst_add"))
+        self._addButton = gtk.Button(xstr("chklst_add"))
         self._addButton.set_use_underline(True)
         self._addButton.set_tooltip_text(xstr("chklst_add_tooltip"))
         self._addButton.connect("clicked", self._addButtonClicked)
-        addAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        addAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                      xscale = 0.0, yscale = 0.0)
         addAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -109,5 +109,5 @@
         controlBox.pack_start(addAlignment, False, False, 0)
 
-        self._removeButton = Gtk.Button(xstr("chklst_remove"))
+        self._removeButton = gtk.Button(xstr("chklst_remove"))
         self._removeButton.set_use_underline(True)
         self._removeButton.set_tooltip_text(xstr("chklst_remove_tooltip"))
@@ -115,5 +115,5 @@
         self._removeButton.connect("clicked", self._removeButtonClicked)
 
-        removeAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        removeAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         removeAlignment.set_padding(padding_top = 64, padding_bottom = 0,
@@ -122,5 +122,5 @@
         controlBox.pack_start(removeAlignment, False, False, 0)
 
-        self._moveUpButton = Gtk.Button(xstr("chklst_moveUp"))
+        self._moveUpButton = gtk.Button(xstr("chklst_moveUp"))
         self._moveUpButton.set_use_underline(True)
         self._moveUpButton.set_tooltip_text(xstr("chklst_moveUp_tooltip"))
@@ -128,5 +128,5 @@
         self._moveUpButton.connect("clicked", self._moveUpButtonClicked)
 
-        moveUpAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveUpAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveUpAlignment.set_padding(padding_top = 16, padding_bottom = 0,
@@ -135,5 +135,5 @@
         controlBox.pack_start(moveUpAlignment, False, False, 0)
 
-        self._moveDownButton = Gtk.Button(xstr("chklst_moveDown"))
+        self._moveDownButton = gtk.Button(xstr("chklst_moveDown"))
         self._moveDownButton.set_use_underline(True)
         self._moveDownButton.set_tooltip_text(xstr("chklst_moveDown_tooltip"))
@@ -141,5 +141,5 @@
         self._moveDownButton.connect("clicked", self._moveDownButtonClicked)
 
-        moveDownAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.0,
+        moveDownAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.0,
                                         xscale = 0.0, yscale = 0.0)
         moveDownAlignment.set_padding(padding_top = 4, padding_bottom = 0,
@@ -148,10 +148,10 @@
         controlBox.pack_start(moveDownAlignment, False, False, 0)
 
-        self._fileListModel = Gtk.ListStore(str, str)
-        self._fileList = Gtk.TreeView(model = self._fileListModel)
+        self._fileListModel = gtk.ListStore(str, str)
+        self._fileList = gtk.TreeView(model = self._fileListModel)
         self._fileList.connect("button-press-event",
                                self._fileListButtonPressed)
-        column = Gtk.TreeViewColumn(xstr("chklst_header"),
-                                    Gtk.CellRendererText(), text = 0)
+        column = gtk.TreeViewColumn(xstr("chklst_header"),
+                                    gtk.CellRendererText(), text = 0)
         column.set_expand(True)
         column.set_clickable(False)
@@ -162,15 +162,14 @@
         self._fileListPopupMenu = None
         selection = self._fileList.get_selection()
-        selection.set_mode(Gtk.SelectionMode.MULTIPLE)
+        selection.set_mode(SELECTION_MULTIPLE)
         selection.connect("changed", self._fileListSelectionChanged)
 
         self._buildFileListPopupMenu()
 
-        scrolledWindow = Gtk.ScrolledWindow()
+        scrolledWindow = gtk.ScrolledWindow()
         scrolledWindow.add(self._fileList)
         scrolledWindow.set_size_request(200, -1)
-        scrolledWindow.set_policy(Gtk.PolicyType.AUTOMATIC,
-                                  Gtk.PolicyType.AUTOMATIC)
-        scrolledWindow.set_shadow_type(Gtk.ShadowType.IN)
+        scrolledWindow.set_policy(POLICY_AUTOMATIC, POLICY_AUTOMATIC)
+        scrolledWindow.set_shadow_type(SHADOW_IN)
 
         fileBox.pack_start(scrolledWindow, False, False, 4)
@@ -188,8 +187,8 @@
         self.hide()
 
-        if response==Gtk.ResponseType.ACCEPT:
+        if response==RESPONSETYPE_ACCEPT:
             self._saveChecklist()
             config = self._gui.config
-            for (aircraftType, checklist) in self._checklists.items():
+            for (aircraftType, checklist) in self._checklists.iteritems():
                 config.setChecklist(aircraftType, checklist)
             config.save()
@@ -205,4 +204,5 @@
         numSelected = 0
         for path in fileChooser.get_filenames():
+            path = text2unicode(path)
             numSelected += 1
             if os.path.isfile(path): numFiles += 1
@@ -213,4 +213,5 @@
         """Called when the Add button is clicked."""
         for path in self._fileChooser.get_filenames():
+            path = text2unicode(path)
             self._fileListModel.append([os.path.basename(path),
                                         path])
@@ -244,5 +245,6 @@
         selection = self._fileList.get_selection()
         (model, paths) = selection.get_selected_rows()
-        indexes = [path.get_indices()[0] for path in paths]
+        indexes = [(path.get_indices() if pygobject else path)[0]
+                   for path in paths]        
         indexes.sort()
         if not up:
@@ -273,5 +275,5 @@
             maxIndex = None
             for path in paths:
-                [index] = path.get_indices()
+                [index] = path.get_indices() if pygobject else path
                 if minIndex is None or index<minIndex: minIndex = index
                 if maxIndex is None or index>maxIndex: maxIndex = index
@@ -322,15 +324,18 @@
     def _fileListButtonPressed(self, widget, event):
         """Called when a mouse button is pressed on the file list."""
-        if event.type!=Gdk.EventType.BUTTON_PRESS or event.button!=3:
+        if event.type!=EVENT_BUTTON_PRESS or event.button!=3:
             return
 
         menu = self._fileListPopupMenu
-        menu.popup(None, None, None, None, event.button, event.time)
+        if pygobject:
+            menu.popup(None, None, None, None, event.button, event.time)
+        else:
+            menu.popup(None, None, None, event.button, event.time)
 
     def _buildFileListPopupMenu(self):
         """Build the file list popup menu."""
-        menu = Gtk.Menu()
-
-        menuItem = Gtk.MenuItem()
+        menu = gtk.Menu()
+
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("chklst_remove"))
         menuItem.set_use_underline(True)
@@ -341,5 +346,5 @@
         menu.append(menuItem)
 
-        menuItem = Gtk.MenuItem()
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveUp"))
         menuItem.set_use_underline(True)
@@ -350,5 +355,5 @@
         menu.append(menuItem)
 
-        menuItem = Gtk.MenuItem()
+        menuItem = gtk.MenuItem()
         menuItem.set_label(xstr("chklst_moveDown"))
         menuItem.set_use_underline(True)
Index: src/mlx/gui/common.py
===================================================================
--- src/mlx/gui/common.py	(revision 1002)
+++ src/mlx/gui/common.py	(revision 863)
@@ -16,4 +16,13 @@
 #
 # Common definitions and utilities for the GUI
+#
+# The main purpose of this module is to provide common definitions for things
+# that are named differently in Gtk+ 2 and 3. This way the other parts of the
+# GUI have to check the version in use very rarely. The variable \c pygobject
+# tells which version is being used. If it is \c True, Gtk+ 3 is used via the
+# PyGObject interface. Otherwise Gtk+ 2 is used, which is the default on
+# Windows or when the \c FORCE_PYGTK environment variable is set.
+#
+# Besides this there are some common utility classes and functions.
 
 #-----------------------------------------------------------------------------
@@ -21,21 +30,174 @@
 appIndicator = False
 
-import gi
-gi.require_version("Gdk", "3.0")
-from gi.repository import Gdk
-from gi.repository import GdkPixbuf
-gi.require_version("Gtk", "3.0")
-from gi.repository import Gtk
-try:
-    gi.require_version("AppIndicator3", "0.1")
-    from gi.repository import AppIndicator3
+if not pygobject:
+    print "Using PyGTK"
+    pygobject = False
+    import pygtk
+    pygtk.require("2.0")
+    import gtk.gdk as gdk
+    import gtk
+    import pango
+
+    try:
+        import appindicator
+        appIndicator = True
+    except Exception, e:
+        pass
+
+    MESSAGETYPE_ERROR = gtk.MESSAGE_ERROR
+    MESSAGETYPE_QUESTION = gtk.MESSAGE_QUESTION
+    MESSAGETYPE_INFO = gtk.MESSAGE_INFO
+
+    RESPONSETYPE_NONE = gtk.RESPONSE_NONE
+    RESPONSETYPE_OK = gtk.RESPONSE_OK
+    RESPONSETYPE_YES = gtk.RESPONSE_YES
+    RESPONSETYPE_NO = gtk.RESPONSE_NO
+    RESPONSETYPE_ACCEPT = gtk.RESPONSE_ACCEPT
+    RESPONSETYPE_REJECT = gtk.RESPONSE_REJECT
+    RESPONSETYPE_CANCEL = gtk.RESPONSE_CANCEL
+
+    ACCEL_VISIBLE = gtk.ACCEL_VISIBLE
+    CONTROL_MASK = gdk.CONTROL_MASK
+    DIALOG_MODAL = gtk.DIALOG_MODAL
+    WRAP_WORD = gtk.WRAP_WORD
+
+    JUSTIFY_CENTER = gtk.JUSTIFY_CENTER
+    JUSTIFY_LEFT = gtk.JUSTIFY_LEFT
+
+    CONTROL_MASK = gdk.CONTROL_MASK
+    SHIFT_MASK = gdk.SHIFT_MASK
+    BUTTON1_MASK = gdk.BUTTON1_MASK
+
+    SCROLL_UP = gdk.SCROLL_UP
+    SCROLL_DOWN = gdk.SCROLL_DOWN
+
+    SPIN_USER_DEFINED = gtk.SPIN_USER_DEFINED
+
+    FILE_CHOOSER_ACTION_SELECT_FOLDER = gtk.FILE_CHOOSER_ACTION_SELECT_FOLDER
+    FILE_CHOOSER_ACTION_OPEN = gtk.FILE_CHOOSER_ACTION_OPEN
+    FILE_CHOOSER_ACTION_SAVE = gtk.FILE_CHOOSER_ACTION_SAVE
+
+    SELECTION_MULTIPLE = gtk.SELECTION_MULTIPLE
+
+    SHADOW_IN = gtk.SHADOW_IN
+    SHADOW_NONE = gtk.SHADOW_NONE
+
+    POLICY_AUTOMATIC = gtk.POLICY_AUTOMATIC
+    POLICY_NEVER = gtk.POLICY_NEVER
+    POLICY_ALWAYS = gtk.POLICY_ALWAYS
+
+    WEIGHT_NORMAL = pango.WEIGHT_NORMAL
+    WEIGHT_BOLD = pango.WEIGHT_BOLD
+
+    WINDOW_STATE_ICONIFIED = gdk.WINDOW_STATE_ICONIFIED
+    WINDOW_STATE_WITHDRAWN = gdk.WINDOW_STATE_WITHDRAWN
+
+    SORT_ASCENDING = gtk.SORT_ASCENDING
+    SORT_DESCENDING = gtk.SORT_DESCENDING
+
+    EVENT_BUTTON_PRESS = gdk.BUTTON_PRESS
+
+    TREE_VIEW_COLUMN_FIXED = gtk.TREE_VIEW_COLUMN_FIXED
+
+    FILL = gtk.FILL
+    EXPAND = gtk.EXPAND
+
+    UPDATE_IF_VALID = gtk.UPDATE_IF_VALID
+
+    SELECTION_MULTIPLE = gtk.SELECTION_MULTIPLE
+
+    WINDOW_POPUP = gtk.WINDOW_POPUP
+
+    pixbuf_new_from_file = gdk.pixbuf_new_from_file
+
+    def text2unicode(text):
+        """Convert the given text, returned by a Gtk widget, to Unicode."""
+        return unicode(text)
+
+    def text2str(text):
+        """Convert the given text, returned by xstr to a string."""
+        return str(text)
+
+else: # pygobject
+    from gi.repository import Gdk as gdk
+    from gi.repository import GdkPixbuf as gdkPixbuf
+    from gi.repository import Gtk as gtk
+    from gi.repository import AppIndicator3 as appindicator
+    from gi.repository import Pango as pango
+
     appIndicator = True
-except:
-    pass
-from gi.repository import Pango
-from gi.repository import PangoCairo
-
-import codecs
-_utf8Decoder = codecs.getdecoder("utf-8")
+
+
+    MESSAGETYPE_ERROR = gtk.MessageType.ERROR
+    MESSAGETYPE_QUESTION = gtk.MessageType.QUESTION
+    MESSAGETYPE_INFO = gtk.MessageType.INFO
+    RESPONSETYPE_NONE = gtk.ResponseType.NONE
+    RESPONSETYPE_OK = gtk.ResponseType.OK
+    RESPONSETYPE_YES = gtk.ResponseType.YES
+    RESPONSETYPE_NO = gtk.ResponseType.NO
+    RESPONSETYPE_ACCEPT = gtk.ResponseType.ACCEPT
+    RESPONSETYPE_REJECT = gtk.ResponseType.REJECT
+    RESPONSETYPE_CANCEL = gtk.ResponseType.CANCEL
+    ACCEL_VISIBLE = gtk.AccelFlags.VISIBLE
+    CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
+    DIALOG_MODAL = gtk.DialogFlags.MODAL
+    WRAP_WORD = gtk.WrapMode.WORD
+    JUSTIFY_CENTER = gtk.Justification.CENTER
+    JUSTIFY_LEFT = gtk.Justification.LEFT
+
+    CONTROL_MASK = gdk.ModifierType.CONTROL_MASK
+    SHIFT_MASK = gdk.ModifierType.SHIFT_MASK
+    BUTTON1_MASK = gdk.ModifierType.BUTTON1_MASK
+
+    SCROLL_UP = gdk.ScrollDirection.UP
+    SCROLL_DOWN = gdk.ScrollDirection.DOWN
+
+    SPIN_USER_DEFINED = gtk.SpinType.USER_DEFINED
+
+    FILE_CHOOSER_ACTION_SELECT_FOLDER = gtk.FileChooserAction.SELECT_FOLDER
+    FILE_CHOOSER_ACTION_OPEN = gtk.FileChooserAction.OPEN
+    FILE_CHOOSER_ACTION_SAVE = gtk.FileChooserAction.SAVE
+
+    SELECTION_MULTIPLE = gtk.SelectionMode.MULTIPLE
+
+    SHADOW_IN = gtk.ShadowType.IN
+    SHADOW_NONE = gtk.ShadowType.NONE
+
+    POLICY_AUTOMATIC = gtk.PolicyType.AUTOMATIC
+    POLICY_NEVER = gtk.PolicyType.NEVER
+    POLICY_ALWAYS = gtk.PolicyType.ALWAYS
+
+    WEIGHT_NORMAL = pango.Weight.NORMAL
+    WEIGHT_BOLD = pango.Weight.BOLD
+
+    WINDOW_STATE_ICONIFIED = gdk.WindowState.ICONIFIED
+    WINDOW_STATE_WITHDRAWN = gdk.WindowState.WITHDRAWN
+
+    SORT_ASCENDING = gtk.SortType.ASCENDING
+    SORT_DESCENDING = gtk.SortType.DESCENDING
+
+    EVENT_BUTTON_PRESS = gdk.EventType.BUTTON_PRESS
+
+    TREE_VIEW_COLUMN_FIXED = gtk.TreeViewColumnSizing.FIXED
+
+    FILL = gtk.AttachOptions.FILL
+    EXPAND = gtk.AttachOptions.EXPAND
+
+    UPDATE_IF_VALID = gtk.SpinButtonUpdatePolicy.IF_VALID
+
+    SELECTION_MULTIPLE = gtk.SelectionMode.MULTIPLE
+
+    pixbuf_new_from_file = gdkPixbuf.Pixbuf.new_from_file
+
+    import codecs
+    _utf8Decoder = codecs.getdecoder("utf-8")
+
+    def text2unicode(str):
+        """Convert the given text, returned by a Gtk widget, to Unicode."""
+        return _utf8Decoder(str)[0]
+
+    def text2str(text):
+        """Convert the given text, returned by xstr to a string."""
+        return _utf8Decoder(text)[0]
 
 import cairo
@@ -78,9 +240,9 @@
 #------------------------------------------------------------------------------
 
-class IntegerEntry(Gtk.Entry):
+class IntegerEntry(gtk.Entry):
     """An entry that allows only either an empty value, or an integer."""
     def __init__(self, defaultValue = None):
         """Construct the entry."""
-        Gtk.Entry.__init__(self)
+        gtk.Entry.__init__(self)
 
         self.set_alignment(1.0)
@@ -130,10 +292,9 @@
 #------------------------------------------------------------------------------
 
-class TimeEntry(Gtk.Entry):
+class TimeEntry(gtk.Entry):
     """Widget to display and edit a time value in HH:MM format."""
     def __init__(self):
         """Construct the entry"""
-        super(TimeEntry, self).__init__()
-        self.set_max_width_chars(5)
+        super(TimeEntry, self).__init__(max = 5)
 
         self.connect("insert-text", self._insertText)
@@ -235,10 +396,10 @@
             pass
         else:
-            Gtk.gdk.display_get_default().beep()
+            gtk.gdk.display_get_default().beep()
             self.stop_emission(signal)
 
 #------------------------------------------------------------------------------
 
-class CredentialsDialog(Gtk.Dialog):
+class CredentialsDialog(gtk.Dialog):
     """A dialog window to ask for a user name and a password."""
     def __init__(self, gui, userName, password,
@@ -253,11 +414,11 @@
                                                 titleLabel,
                                                 gui.mainWindow,
-                                                Gtk.DialogFlags.MODAL)
-        self.add_button(cancelButtonLabel, Gtk.ResponseType.CANCEL)
-        self.add_button(okButtonLabel, Gtk.ResponseType.OK)
+                                                DIALOG_MODAL)
+        self.add_button(cancelButtonLabel, RESPONSETYPE_CANCEL)
+        self.add_button(okButtonLabel, RESPONSETYPE_OK)
 
         contentArea = self.get_content_area()
 
-        contentAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        contentAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                          xscale = 0.0, yscale = 0.0)
         contentAlignment.set_padding(padding_top = 4, padding_bottom = 16,
@@ -266,19 +427,19 @@
         contentArea.pack_start(contentAlignment, False, False, 0)
 
-        contentVBox = Gtk.VBox()
+        contentVBox = gtk.VBox()
         contentAlignment.add(contentVBox)
 
         if infoText is not None:
-            label = Gtk.Label(infoText)
+            label = gtk.Label(infoText)
             label.set_alignment(0.0, 0.0)
 
             contentVBox.pack_start(label, False, False, 0)
 
-        tableAlignment = Gtk.Alignment(xalign = 0.5, yalign = 0.5,
+        tableAlignment = gtk.Alignment(xalign = 0.5, yalign = 0.5,
                                        xscale = 0.0, yscale = 0.0)
         tableAlignment.set_padding(padding_top = 24, padding_bottom = 0,
                                    padding_left = 0, padding_right = 0)
 
-        table = Gtk.Table(3, 2)
+        table = gtk.Table(3, 2)
         table.set_row_spacings(4)
         table.set_col_spacings(16)
@@ -288,10 +449,10 @@
         contentVBox.pack_start(tableAlignment, True, True, 0)
 
-        label = Gtk.Label(userNameLabel)
+        label = gtk.Label(userNameLabel)
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 0, 1)
 
-        self._userName = Gtk.Entry()
+        self._userName = gtk.Entry()
         self._userName.set_width_chars(16)
         # FIXME: enabled the OK button only when there is something in thr
@@ -304,10 +465,10 @@
         label.set_mnemonic_widget(self._userName)
 
-        label = Gtk.Label(passwordLabel)
+        label = gtk.Label(passwordLabel)
         label.set_use_underline(True)
         label.set_alignment(0.0, 0.5)
         table.attach(label, 0, 1, 1, 2)
 
-        self._password = Gtk.Entry()
+        self._password = gtk.Entry()
         self._password.set_visibility(False)
         #self._password.connect("changed",
@@ -319,5 +480,5 @@
 
         if rememberPassword is not None:
-            self._rememberButton = Gtk.CheckButton(rememberLabel)
+            self._rememberButton = gtk.CheckButton(rememberLabel)
             self._rememberButton.set_use_underline(True)
             self._rememberButton.set_tooltip_text(rememberTooltip)
@@ -355,5 +516,5 @@
 #------------------------------------------------------------------------------
 
-GObject.signal_new("integer-changed", IntegerEntry, GObject.SIGNAL_RUN_FIRST,
+gobject.signal_new("integer-changed", IntegerEntry, gobject.SIGNAL_RUN_FIRST,
                    None, (object,))
 
@@ -427,5 +588,5 @@
 def addFaultTag(buffer):
     """Add a tag named 'fault' to the given buffer."""
-    buffer.create_tag("fault", foreground="red", weight=Pango.Weight.BOLD)
+    buffer.create_tag("fault", foreground="red", weight=WEIGHT_BOLD)
 
 #------------------------------------------------------------------------------
@@ -461,10 +622,10 @@
 
     Return a boolean indicating the answer."""
-    dialog = Gtk.MessageDialog(parent = parent,
-                               type = Gtk.MessageType.QUESTION,
+    dialog = gtk.MessageDialog(parent = parent,
+                               type = MESSAGETYPE_QUESTION,
                                message_format = question)
 
-    dialog.add_button(xstr("button_no"), Gtk.ResponseType.NO)
-    dialog.add_button(xstr("button_yes"), Gtk.ResponseType.YES)
+    dialog.add_button(xstr("button_no"), RESPONSETYPE_NO)
+    dialog.add_button(xstr("button_yes"), RESPONSETYPE_YES)
 
     dialog.set_title(title)
@@ -472,5 +633,5 @@
     dialog.hide()
 
-    return result==Gtk.ResponseType.YES
+    return result==RESPONSETYPE_YES
 
 #------------------------------------------------------------------------------
@@ -479,8 +640,8 @@
                 title = WINDOW_TITLE_BASE):
     """Display an error dialog box with the given message."""
-    dialog = Gtk.MessageDialog(parent = parent,
-                               type = Gtk.MessageType.ERROR,
+    dialog = gtk.MessageDialog(parent = parent,
+                               type = MESSAGETYPE_ERROR,
                                message_format = message)
-    dialog.add_button(xstr("button_ok"), Gtk.ResponseType.OK)
+    dialog.add_button(xstr("button_ok"), RESPONSETYPE_OK)
     dialog.set_title(title)
     if secondary is not None:
@@ -501,11 +662,11 @@
 
 def createFlightTypeComboBox():
-        flightTypeModel = Gtk.ListStore(str, int)
+        flightTypeModel = gtk.ListStore(str, int)
         for type in _const.flightTypes:
             name = "flighttype_" + _const.flightType2string(type)
             flightTypeModel.append([xstr(name), type])
 
-        flightType = Gtk.ComboBox(model = flightTypeModel)
-        renderer = Gtk.CellRendererText()
+        flightType = gtk.ComboBox(model = flightTypeModel)
+        renderer = gtk.CellRendererText()
         flightType.pack_start(renderer, True)
         flightType.add_attribute(renderer, "text", 0)
